# Uses of Interface
org.eclipse.emf.cdo.security.AndFilter

Packages that use AndFilter
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of AndFilter in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return AndFilter
Modifier and Type
Method
Description
`AndFilter`
SecurityFactory.`createAndFilter()`
Returns a new object of class 'And Filter'.
`AndFilter`
SecurityFactory.`createAndFilter(PermissionFilter... operands)`
Returns a new object of class 'And Filter'.

## Uses of AndFilter in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement AndFilter
Modifier and Type
Class
Description
`class`
`AndFilterImpl`
An implementation of the model object 'And Filter'.
Methods in org.eclipse.emf.cdo.security.impl that return AndFilter
Modifier and Type
Method
Description
`AndFilter`
SecurityFactoryImpl.`createAndFilter()`
`AndFilter`
SecurityFactoryImpl.`createAndFilter(PermissionFilter... operands)`

## Uses of AndFilter in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type AndFilter
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseAndFilter(AndFilter object)`
Returns the result of interpreting the object as an instance of 'And Filter'.
`boolean`
SecurityValidator.`validateAndFilter(AndFilter andFilter, DiagnosticChain diagnostics, Map<Object,Object> context)`